aboutsummaryrefslogtreecommitdiff
path: root/t/t6035-merge-dir-to-symlink.sh
diff options
context:
space:
mode:
authorJohannes Sixt <j6t@kdbg.org>2009-08-09 17:35:02 +0200
committerJunio C Hamano <gitster@pobox.com>2009-08-09 10:37:24 -0700
commitb6b0737d02e3bb9b3015ec66f5b6454d5b83d57b (patch)
treed578601d2ab1d5ebeca65412c65522454aba8270 /t/t6035-merge-dir-to-symlink.sh
parentb6986d8a75812a003a1623e0f0dff93c4a026b44 (diff)
downloadgit-b6b0737d02e3bb9b3015ec66f5b6454d5b83d57b.tar.gz
git-b6b0737d02e3bb9b3015ec66f5b6454d5b83d57b.tar.xz
t6035-merge-dir-to-symlink depends on SYMLINKS prerequisite
Signed-off-by: Johannes Sixt <j6t@kdbg.org> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t6035-merge-dir-to-symlink.sh')
-rwxr-xr-xt/t6035-merge-dir-to-symlink.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t6035-merge-dir-to-symlink.sh b/t/t6035-merge-dir-to-symlink.sh
index a0ddf1e0f..5b96fb0b3 100755
--- a/t/t6035-merge-dir-to-symlink.sh
+++ b/t/t6035-merge-dir-to-symlink.sh
@@ -3,6 +3,12 @@
test_description='merging when a directory was replaced with a symlink'
. ./test-lib.sh
+if ! test_have_prereq SYMLINKS
+then
+ say 'Symbolic links not supported, skipping tests.'
+ test_done
+fi
+
test_expect_success 'create a commit where dir a/b changed to symlink' '
mkdir -p a/b/c a/b-2/c &&
> a/b/c/d &&